Page MenuHomePhabricator

Hunt for unused memory properly when dealing with processes that can tell us about memory mappings
ClosedPublic

Authored by spyffe on Jun 8 2016, 1:27 PM.

Details

Reviewers
clayborg
tfiala
Summary

Right now the default initial address is 0x0, which is very problematic on embedded targets where that's the CPU's initialization vector.
To help in these scenarios, this patch uses the GetMemoryRegionInfo() API to find an appropriately-sized region.
It also sets better fallback defaults than 0x0 if all of the other approaches fail

Diff Detail

Repository
rL LLVM

Event Timeline

spyffe updated this revision to Diff 60094.Jun 8 2016, 1:27 PM
spyffe retitled this revision from to Hunt for unused memory properly when dealing with processes that can tell us about memory mappings.
spyffe updated this object.
spyffe added reviewers: tfiala, clayborg.
spyffe set the repository for this revision to rL LLVM.
spyffe added a subscriber: lldb-commits.
tfiala accepted this revision.Jun 13 2016, 4:07 PM
tfiala edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Jun 13 2016, 4:07 PM
clayborg accepted this revision.Jun 13 2016, 4:45 PM
clayborg edited edge metadata.

Looks like this one can be closed out, @spyffe?

Looks like patch was part of r272301.

tfiala closed this revision.Sep 23 2016, 9:37 AM

Closing per comments on this already being checked in.